Graph::ArcIt Class Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
Graph::ArcIt Class Reference

## Detailed Description

This iterator goes through each directed arc of the graph. Its usage is quite simple, for example, you can count the number of arcs in a graph `g` of type `Graph` as follows:

* int count=0;
* for(Graph::ArcIt a(g); a!=INVALID; ++a) ++count;
*

`#include <lemon/concepts/graph.h>`

Inheritance diagram for Graph::ArcIt:
[legend]

## Public Member Functions
| ArcIt ()
| Default constructor. More...
| ArcIt (const ArcIt &e)
| Copy constructor. More...
| ArcIt (Invalid)
| Invalid constructor & conversion. More...
| ArcIt (const Graph &g)
| Sets the iterator to the first arc. More...
| ArcIt (const Graph &, const Arc &)
| Sets the iterator to the given arc. More...
ArcIt & | operator++ ()
| Next arc. More...
Public Member Functions inherited from Graph::Arc
| Arc ()
| Default constructor. More...
| Arc (const Arc &)
| Copy constructor. More...
| Arc (Invalid)
| Invalid constructor & conversion. More...
bool | operator== (Arc) const
| Equality operator. More...
bool | operator!= (Arc) const
| Inequality operator. More...
bool | operator< (Arc) const
| Artificial ordering operator. More...
| operator Edge () const
| Converison to `Edge`. More...

## Constructor & Destructor Documentation

ArcIt | ( |  | ) |
| inline

Default constructor.

Warning
  It sets the iterator to an undefined value.

ArcIt | ( | const ArcIt & | e | ) |
| inline

Copy constructor.

ArcIt | ( | Invalid |  | ) |
| inline

Initializes the iterator to be invalid.

See Also
  Invalid for more details.

ArcIt | ( | const Graph & | g | ) |
| inlineexplicit

Sets the iterator to the first arc of the given graph.

ArcIt | ( | const Graph & | ,
|  | const Arc & |
| ) |  |
| inline

Sets the iterator to the given arc of the given graph.

## Member Function Documentation

ArcIt& operator++ | ( |  | ) |
| inline

Assign the iterator to the next arc.